package com.yonge.cooleshow.biz.dal.sdk.req;

import java.io.Serializable;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/3/11 17:44
 */
public class PaymentConfirmParam implements Serializable {
    private static final long serialVersionUID = 1L;

    //Adapay生成的支付对象id
    private String payment_id;
    //请求订单号，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
    private String order_no;
    //确认金额，必须大于0，保留两位小数点，如0.10、100.05等。必须小于等于原支付金额-已确认金额-已撤销金额。
    private String confirm_amt;
    //附加说明
    private String description;
    //分账对象信息列表，一次请求最多仅支持7个分账方
    private List<DivMember> div_members;
    //手续费收取模式：O-商户手续费账户扣取手续费，I-交易金额中扣取手续费；值为空时，默认值为I；若为O时，分账对象列表中不支持传入手续费承担方
    private String fee_mode;

    public String getPayment_id() {
        return payment_id;
    }

    public void setPayment_id(String payment_id) {
        this.payment_id = payment_id;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public String getConfirm_amt() {
        return confirm_amt;
    }

    public void setConfirm_amt(String confirm_amt) {
        this.confirm_amt = confirm_amt;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<DivMember> getDiv_members() {
        return div_members;
    }

    public void setDiv_members(List<DivMember> div_members) {
        this.div_members = div_members;
    }

    public String getFee_mode() {
        return fee_mode;
    }

    public void setFee_mode(String fee_mode) {
        this.fee_mode = fee_mode;
    }
}
